//====================================================================
// NAME: cd_adder.v
// DESC: 32-bit adder/subtracter
// HISTORY
// 11/22/2005: 
//	- first draft
//====================================================================


module Cd_adder(a_in,
		b_in,
		add_nsub,
		s_out
		);

input [31:0] a_in;
input [31:0] b_in;
input add_nsub;
output [31:0] s_out;

wire [31:0] b;

assign b = (add_nsub)?b_in:(~b_in+1);
assign s_out = a_in+b;

endmodule


