//====================================================================
// NAME: cd_lsr.v
// DESC: 32-bit LSR shifter
// HISTORY
// 11/22/2005: 
//	- first draft
//====================================================================


module Cd_lsr(
	a_in,
	b_out,
	shift_count //right shift count
	);

input [31:0] a_in;
output [31:0] b_out;
input [4:0] shift_count;

assign b_out = (a_in >> shift_count);

endmodule


